(function (global) {
	var AnalyticsAPI = function () {
	};

	AnalyticsAPI.prototype = {
		/**
			@public
			@description Post messages to the analytics server regarding user interactions

			@param {String} sectionName The name of the section on the page that is being interacted with
			@param {String} interactionName The type of interaction that took place; or what the user did
			@param {String} interactionTarget optional; A unique identifier describing the main element involved with this interaction.
		*/
		post: function (sectionName, interactionName, interactionTarget) {
			var message = 'Analytics Post: ' + sectionName + ' — ' + interactionName;

			if (typeof interactionTarget === 'string') {
				message += ' ' + interactionTarget;
			}
			try { console.log(message); } catch (e) {}
		}
	};

	// Expose singleton instance to global namespace
	global.analyticsAPI = new AnalyticsAPI();
}(window));


/*
	Things to track:
		• Whenever they interact with a gallery:
			interactionName: 'start'
		• If they complete the interaction (they actively switch a image with another)
			interactionName: 'cancel'
		• If they successfully switch an image with another:
			interactionName: 'complete'
*/
